#!/usr/bin/env bash

# Prevent less from clearing the screen while still showing colors.
export LESS=-XR

# Set the terminal's title bar.
function titlebar() {
  echo -n $'\e]0;'"$*"$'\a'
}

# SSH auto-completion based on entries in known_hosts.
if [ -z "$ZSH" ]; then
    if [[ -e ~/.ssh/known_hosts ]]; then
      complete -o default -W "$(sed 's/[, ].*//' ~/.ssh/known_hosts | sort | uniq | grep -v '[0-9]')" ssh scp sftp
    fi
fi

